# Poco::Prometheus

# template < typename T >

# class AtomicFloat

Library: Prometheus
Package: Core
Header: Poco/Prometheus/AtomicFloat.h

## Description

This class provides efficient atomic operations on float and double values.

## Member Summary

Member Functions: operator +=, operator -=, operator =, operator T, value

## Constructors

### AtomicFloat

AtomicFloat();

### AtomicFloat

explicit AtomicFloat(
T v
);

### AtomicFloat

AtomicFloat(
const AtomicFloat & v
);

## Member Functions

### operator +=

AtomicFloat & operator += (
T value
);

### operator -=

AtomicFloat & operator -= (
T value
);

### operator =

AtomicFloat & operator = (
const AtomicFloat & v
);

### operator =

AtomicFloat & operator = (
T v
);

### operator T

operator T() const;

### value

T value() const;